Bug 234422 - jmicron (JMB36X) ide controller confused
jmicron (JMB36X) ide controller confused
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
: 235578 (view as bug list)
Depends On:
Blocks: 427887
  Show dependency treegraph
 
Reported: 2007-03-29 00:07 EDT by Carl Brune
Modified: 2008-02-07 23:26 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-07 23:26:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg with 2.6.20-1.2933.fc6.i686 (26.12 KB, text/plain)
2007-03-29 00:07 EDT, Carl Brune
no flags Details
/proc/iomem for working kernel 2-18-1.2869.fc6.i686 (1.24 KB, text/plain)
2007-04-09 22:36 EDT, Carl Brune
no flags Details
/proc/ioports for working kernel 2.18-1.2869.fc6.i686 (1.62 KB, text/plain)
2007-04-09 22:37 EDT, Carl Brune
no flags Details
/proc/iomem for non-working kernel 2.20-1.2937.fc6.i686 (1.18 KB, text/plain)
2007-04-09 22:38 EDT, Carl Brune
no flags Details
/proc/ioports for non-working kernel 2.20-1.2937.fc6.i686 (1.72 KB, text/plain)
2007-04-09 22:40 EDT, Carl Brune
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Linux Kernel 224680 None None None Never

  None (edit)
Description Carl Brune 2007-03-29 00:07:44 EDT
Description of problem:
The IDE dvd-rw connected to the jmicron does not interface properly with the
JMB363. dmesg indicates problems, including "Device 0000:03:00.0 not available
because of resource collisions" and "dma_base is invalid". After some time
(minutes to 10s of minutes) a spurious CD icon appears on the desktop, and dmesg
indicates "hde: status error: status=0x58 { DriveReady SeekComplete DataRequest
}, ide: failed opcode was: unknown". After this the drive is unusable.

Version-Release number of selected component (if applicable):
Problem exists with kernel versions 2.6.18-1.2869.fc6.i686
2.6.20-1.2933.fc6.i686 2.6.20-1.2937.fc6.i686 (the latter was downloaded from
http://people.redhat.com/cebbert). The problem does not exist with the earlier
kernel version 2.6.18-1.2869.fc6.

How reproducible:
Always

Steps to Reproduce:
1. Boot computer

Actual results:
Some possible relevant output from dmesg with 2.6.20-1.2933.fc6.i686:

0000:03:00.0: cannot adjust BAR2 (not I/O)
0000:03:00.0: cannot adjust BAR3 (not I/O)

JMB363: IDE controller at PCI slot 0000:03:00.0
PCI: Device 0000:03:00.0 not available because of resource collisions
ACPI: PCI Interrupt 0000:03:00.0[A] -> GSI 19 (level, low) -> IRQ 17
JMB363: BIOS configuration fixed.
JMB363: chipset revision 2
JMB363: 100% native mode on irq 17
JMB363: dma_base is invalid
ide0: JMB363 Bus-Master DMA disabled (BIOS)
JMB363: dma_base is invalid
ide1: JMB363 Bus-Master DMA disabled (BIOS)
Probing IDE interface ide0...
Probing IDE interface ide1...
JMB363: IDE controller at PCI slot 0000:03:00.1
PCI: Enabling device 0000:03:00.1 (0000 -> 0001)
ACPI: PCI Interrupt 0000:03:00.1[B] -> GSI 16 (level, low) -> IRQ 16
JMB363: chipset revision 2
JMB363: 100% native mode on irq 16
PCI: Setting latency timer of device 0000:03:00.1 to 64
    ide2: BM-DMA at 0x8000-0x8007, BIOS settings: hde:DMA, hdf:pio
    ide3: BM-DMA at 0x8008-0x800f, BIOS settings: hdg:pio, hdh:pio
Probing IDE interface ide2...
hde: HL-DT-ST DVDRAM GSA-H42N, ATAPI CD/DVD-ROM drive
ide2 at 0x7000-0x7007,0x7402 on irq 16
Probing IDE interface ide3...
Probing IDE interface ide0...
Probing IDE interface ide1...
Probing IDE interface ide3...

Expected results:
Some possible relevant output from dmesg with 2.6.18-1.2869.fc6.i686:

JMB363: IDE controller at PCI slot 0000:03:00.1
PCI: Enabling device 0000:03:00.1 (0000 -> 0001)
ACPI: PCI Interrupt 0000:03:00.1[B] -> GSI 16 (level, low) -> IRQ 169
JMB363: chipset revision 2
JMB363: 100% native mode on irq 169
PCI: Setting latency timer of device 0000:03:00.1 to 64
    ide2: BM-DMA at 0x8000-0x8007, BIOS settings: hde:DMA, hdf:pio
    ide3: BM-DMA at 0x8008-0x800f, BIOS settings: hdg:pio, hdh:pio
Probing IDE interface ide2...
hde: HL-DT-ST DVDRAM GSA-H42N, ATAPI CD/DVD-ROM drive
ide2 at 0x7000-0x7007,0x7402 on irq 169
Probing IDE interface ide3...
Probing IDE interface ide0...
Probing IDE interface ide1...
Probing IDE interface ide3...

Additional info:

Gigabyte 965P-ds3.rev2 motherboard. IDE DVD-RW connected to jmicron. One SATA HD
connected to ICH8.
Comment 1 Carl Brune 2007-03-29 00:07:44 EDT
Created attachment 151178 [details]
dmesg with 2.6.20-1.2933.fc6.i686
Comment 2 Chuck Ebbert 2007-03-29 09:17:13 EDT
What are the contents of /proc/interrupts with the broken kernels?

Can you try booting the 2937 kernel with the option "pci=nomsi" on its
command line (right after the "root=" option?
Comment 3 Carl Brune 2007-03-29 22:38:25 EDT
Same problem using 2937 kernel with "pci=nomsi". /proc/interupts for this boot is:

           CPU0       CPU1       
  0:     197148          0   IO-APIC-edge      timer
  1:          2          0   IO-APIC-edge      i8042
  6:          5          0   IO-APIC-edge      floppy
  7:          0          0   IO-APIC-edge      parport0
  8:          3          0   IO-APIC-edge      rtc
  9:          0          0   IO-APIC-fasteoi   acpi
 12:          4          0   IO-APIC-edge      i8042
 16:         99       1385   IO-APIC-fasteoi   ide2, uhci_hcd:usb1, eth0
 17:      26536       7334   IO-APIC-fasteoi   uhci_hcd:usb4, libata, libata, wifi0
 18:          7          0   IO-APIC-fasteoi   uhci_hcd:usb2
 19:          3          0   IO-APIC-fasteoi   uhci_hcd:usb3, ehci_hcd:usb7
 20:        184       2979   IO-APIC-fasteoi   uhci_hcd:usb5, ehci_hcd:usb6
 21:        193          0   IO-APIC-fasteoi   HDA Intel
NMI:          0          0 
LOC:     196776     196802 
ERR:          0
MIS:          0

Also, before the spurious CD icon appears, the following appears in dmesg
periodically: "hde: cdrom_pc_intr: The drive appears confused (ireason = 0x01).
Trying to recover by ending request."

I noticed a typo in my original post. The 2.6.18 kernel worked, the 2.6.19 and
2.6.20 do not.
Comment 4 Chuck Ebbert 2007-04-09 14:59:44 EDT
*** Bug 235578 has been marked as a duplicate of this bug. ***
Comment 5 Chuck Ebbert 2007-04-09 18:35:51 EDT
Can we get the contents of /proc/iomem and /proc/ioports for
working and non-working kernels?

Comment 6 Carl Brune 2007-04-09 22:36:45 EDT
Created attachment 152080 [details]
/proc/iomem for working kernel 2-18-1.2869.fc6.i686
Comment 7 Carl Brune 2007-04-09 22:37:46 EDT
Created attachment 152081 [details]
/proc/ioports for working kernel 2.18-1.2869.fc6.i686
Comment 8 Carl Brune 2007-04-09 22:38:58 EDT
Created attachment 152082 [details]
/proc/iomem for non-working kernel 2.20-1.2937.fc6.i686
Comment 9 Carl Brune 2007-04-09 22:40:01 EDT
Created attachment 152083 [details]
/proc/ioports for non-working kernel 2.20-1.2937.fc6.i686
Comment 10 Jon Stanley 2008-01-07 20:48:28 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 11 Jon Stanley 2008-02-07 23:26:08 EST
Per the previous comment in this bug, I am closing it as INSUFFICIENT_DATA,
since no information has been lodged for over 30 days.

Please re-open this bug or file a new one if you can provide the requested data,
and thanks for filing the original report!

Note You need to log in before you can comment on or make changes to this bug.